Page 1 of 1

Please help me about {bcm2835-1.60 Raspberry pi 4 model B (Raspbian Buster) connect to ads1298 via SPI}

Posted: Thu Jan 09, 2020 5:12 am
by William Yangjaya
Hi everyone,
My name is William, student college
I tried to connect Raspberry pi 4 model B and ads1298 from TI company via SPI communication.
maybe somebody can help me please.

I downloaded bcm2835-1.60 (new version) from http://www.airspayce.com/mikem/bcm2835/
then, I try to run that bcm2835-1.60 (See attach image).
Am I wrong for running the code in terminal?
Should I compile the file .c to .o and .so?

thank you

Re: Please help me about {bcm2835-1.60 Raspberry pi 4 model B (Raspbian Buster) connect to ads1298 via SPI}

Posted: Thu Jan 09, 2020 6:55 am
by rpdom
That GPIO library is very old. It looks like it barely supports the Pi 2B, and almost certainly will not be compatible with the 4B.